<div class="card">
  <div class="card-header">
    <h3>Student: {{student?.ime}} {{student?.prezime}}</h3>
  </div>
  <div class="card-body">
    <ngb-tabset justify="start" (tabChange)="tabChanged($event)">
      <ngb-tab title="Podaci o studentu">
        <ng-template ngbTabContent>
          <div class="card-body">
            <form>
              <div class="row">
                <div class="col-6">
                  <div class="form-group">
                    <label for="ime">
                      <b>Ime</b>
                    </label>
                    <input class="form-control" name="ime" readonly value="{{student?.ime}}">
                  </div>
                  <div class="form-group">
                    <label for="prezime">
                      <b>Prezime</b>
                    </label>
                    <input class="form-control" name="prezime" readonly value="{{student?.prezime}}">
                  </div>
                  <div class="form-group">
                    <label for="email">
                      <b>Email</b>
                    </label>
                    <input class="form-control" name="email" readonly value="{{student?.email}}">
                  </div>
                  <div class="form-group">
                    <label for="kIme">
                      <b>Korisnicko Ime</b>
                    </label>
                    <input class="form-control" name="kIme" readonly value="{{student?.korisnickoIme}}">
                  </div>
                  <div class="form-group">
                    <label for="jmbg">
                      <b>Jmbg</b>
                    </label>
                    <input class="form-control" name="jmbg" readonly value="{{student?.jmbg}}">
                  </div>
                  <div class="form-group">
                    <label for="jmbg">
                      <b>Datum Rodjenja: </b>
                    </label>
                    <input class="form-control" name="jmbg" readonly value="{{student?.datumRodjenja | date: 'dd. MMMM. yyyy'}}">
                  </div>

                </div>
                <div class="col-6">
                  <div class="form-group">
                    <label for="drzavljanstvo">
                      <b>Drzavljanstvo</b>
                    </label>
                    <input class="form-control" name="drzavljanstvo" readonly value="{{student?.drzavljanstvo}}">
                  </div>
                  <div class="form-group">
                    <label for="datumRodjenja">
                      <b>Broj Indeksa</b>
                    </label>
                    <input class="form-control" name="datumRodjenja" readonly value="{{student?.brojIndeksa}}">
                  </div>
                  <div class="form-group">
                    <label for="godinaUpisa">
                      <b>Godina Upisa</b>
                    </label>
                    <input class="form-control" name="godinaUpisa" readonly value="{{student?.godinaUpisa}}">
                  </div>
                  <div class="form-group">
                    <label for="godinaStudije">
                      <b>Godina Studije</b>
                    </label>
                    <input class="form-control" name="jmbg" readonly value="{{student?.godinaStudije}}">
                  </div>
                  <div class="form-group">
                    <label for="smer">
                      <b>Smer</b>
                    </label>
                    <input class="form-control" name="smer" readonly value="{{student?.nazivSmera}}">
                  </div>
                </div>
              </div>

            </form>
          </div>
        </ng-template>
      </ngb-tab>
      <ngb-tab title="Predmeti" id="predmetiStudenta">
        <ng-template ngbTabContent>
          <div class="card-body">
            <div class="container">
              <div class="row">
                <div class="col-6">
                  <select name="polozeniIliNepolozeni" class="form-control mb-3" (change)="onSelectChange($event.target.value)"
                    [(ngModel)]="loadPolozeniOrNepolozeni">
                    <option value="1">Polozeni predmeti</option>
                    <option value="2">Ne Polozeni predmeti</option>
                  </select>
                </div>
                <div class="col-6"></div>
              </div>

              <table class="table table-hover" *ngIf="predmeti.length != 0">
                <thead class="bg-info text-light">
                  <th>Naziv</th>
                  <th>Oznaka</th>
                  <th>ESPB</th>
                </thead>
                <tbody>
                  <tr *ngFor="let predmet of predmeti">
                    <td>{{predmet.naziv}} </td>
                    <td>{{predmet.oznaka}} </td>
                    <td>{{predmet.espb}} </td>
                  </tr>
                </tbody>
              </table>
              <div class="jumbotron bg-warning" *ngIf="predmeti.length == 0">
                <h3>Nema predmeta</h3>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-tab>
      <ngb-tab id="dokumentiStudenta" title="Dokumenti">
        <ng-template ngbTabContent>
          <div class="card-body">
            <table class="table table-hover" *ngIf="dokumenti.length != 0">
              <thead class="bg-info text-light">
                <tr>
                  <th>Naziv</th>
                  <th>Tip</th>
                  <th></th>
                  <th></th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let dokument of dokumenti; let i = index">
                  <td>{{dokument.naziv}} </td>
                  <td>{{dokument.mime}}</td>
                  <td></td>
                  <td></td>
                  <td>
                    <div class="row">
                      <i id="dokumentHandler" (click)=onDownloadDocument(dokument.filename) class="fas fa-file-download text-success col-2 fa-2x"
                        placement="top" ngbTooltip="Download"></i>
                      <i class="far fa-edit col-2 fa-2x" placement="top" ngbTooltip="Update" (click)=onEditClicked(i);open(updateDocument)></i>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="jumbotron bg-warning" *ngIf="dokumenti.length == 0">
              <h2>Nema dokumenata</h2>
            </div>
          </div>
        </ng-template>
      </ngb-tab>
      <ngb-tab title="Uplate" id="uplateStudenta">
        <ng-template ngbTabContent>
          <div class="card-body">
            <div class="container">
              <table class="table table-hover" *ngIf="uplate.length != 0">
                <thead class="bg-info text-light">
                  <tr>
                    <td>Datum</td>
                    <td>Svrha uplate</td>
                    <td>Iznos</td>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let uplata of uplate">
                    <td>{{uplata.datumUplate | date: 'dd. MMMM yyyy'}} </td>
                    <td>{{uplata.iznos}}</td>
                    <td>{{uplata.svrhaUplate}}</td>
                  </tr>
                </tbody>
              </table>
              <div class="jumbotron bg-warning" *ngIf="uplate.length == 0">
                <h2>Nema dokumenata</h2>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-tab>
    </ngb-tabset>

  </div>
  <div class="card-footer">
    <div class="row">
      <div class="col-3">
        <button type="button" class="btn btn-warning" (click)="onUpdateStudent();openLg(updateStudent)">Update</button>
        <button class="btn btn-danger" (click)="open(content)">Delete</button>
      </div>
      <div class="col-7"></div>
      <div class="col-1"></div>
      <div class="col-1">
        <button class="btn btn-info" (click)="onBack()">Back</button>
      </div>
    </div>
  </div>
</div>



<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Da li ste sigurni da zelite da obrisete studenta: {{student?.ime}} {{student?.prezime}} ?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-danger" (click)="deleteStudent();c()">Delete</button>

      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>


<ng-template #updateDocument let-c="close" let-d="dismiss">
  <div class="modal-header bg-warning">
    <h4 class="modal-title text-light" id="modal-basic-title">Update</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label for="nazivDokumenta"><b>Naziv:</b></label>
        <input type="text" name="nazivDokumenta" class="form-control" [(ngModel)]="documentCopy.naziv"></div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="updateDoc();c()">Update</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="cancelDocumentUpdate();c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>


<ng-template #updateStudent let-c="close" let-d="dismiss">
  <div class="modal-header bg-warning">
    <h4 class="modal-title text-light" id="modal-basic-title">Update Student</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #addStudentForm="ngForm">
      <div class="row">
        <div class="col-6">
          <div class="form-group">
            <label for="ime">
              <b>Ime</b>
            </label>
            <input type="text" placeholder="Ime" class="form-control" name="studentCopy.ime" required minlength="3"
              [(ngModel)]="studentCopy.ime">
          </div>
          <div class="form-group">
            <label for="prezime">
              <b>Prezime</b>
            </label>
            <input type="text" placeholder="Prezime" class="form-control" name="studentCopy.prezime" required minlength="3"
              [(ngModel)]="studentCopy.prezime">
          </div>
          <div class="form-group">
            <label for="adresa">
              <b>Adresa Stanovanja</b>
            </label>
            <input type="text" placeholder="Adresa" class="form-control" name="studentCopy.adresaStanovanja" required
              minlength="5" [(ngModel)]="studentCopy.adresaStanovanja">
          </div>
          <div class="form-group">
            <label for="drzavljanstvo">
              <b>Drzavljanstvo</b>
            </label>
            <input type="text" placeholder="Drazavljanstvo" class="form-control" name="studentCopy.drzavljanstvo"
              required minlength="5" [(ngModel)]="studentCopy.drzavljanstvo">
          </div>
          <div class="form-group">
            <label for="">
              <b>Datum Rodjenja</b>
            </label>
            <div class="input-group">
              <input placeholder="yyyy-mm-dd" [value]="studentCopy.datumRodjenja | date:'dd MMMM yyyy'" name="studentCopy.datumRodjenja"
                class="form-control" (dateSelect)="onDateSelect($event)" ngbDatepicker #d="ngbDatepicker">
              <div class="input-group-append">
                <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
                  <span>
                    <i class="far fa-calendar-alt"></i>
                  </span>
                </button>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label for="email">
              <b>Email</b>
            </label>
            <input type="email" placeholder="Email" class="form-control" name="studentCopy.adresaStanovanja" required
              minlength="5" [(ngModel)]="studentCopy.email">
          </div>
          <div class="form-group">
            <label for="jmbg">
              <b>JMBG</b>
            </label>
            <input type="number" placeholder="JMBG" name="studentCopy.jmbg" class="form-control" required minlength="13"
              maxlength="13" [(ngModel)]="studentCopy.jmbg">
          </div>
        </div>
        <div class="col-6">
          <div class="form-group">
            <label for="brIndeks">
              <b>Broj Indeksa</b>
            </label>
            <input type="text" placeholder="Broj Indeksa" name="studentCopy.brojIndeksa" class="form-control" required
              minlength="2" [(ngModel)]="studentCopy.brojIndeksa">
          </div>
          <div class="form-group">
            <label for="brIndeks">
              <b>Godina Upisa</b>
            </label>
            <input type="number" placeholder="Godina Upisa" name="studentCopy.godinaUpisa" class="form-control"
              required minlength="4" [(ngModel)]="studentCopy.godinaUpisa">
          </div>
          <div class="form-group">
            <label for="brIndeks">
              <b>Godina studije</b>
            </label>
            <select class="form-control" name="godinaStudije" required [(ngModel)]="studentCopy.godinaStudije">
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
              <option value="5">5</option>
              <option value="6">6</option>
            </select>
          </div>
          <div class="form-group">
            <label for="smer">
              <b>Smer</b>
            </label>
            <select name="smer" class="form-control" [(ngModel)]="studentCopy.smer">
              <option *ngFor="let smer of smerovi" value="{{smer.id}}">{{smer.naziv}}</option>
            </select>
          </div>
          <div class="form-group">
            <label for="kIme">
              <b>Korisnicko Ime</b>
            </label>
            <input class="form-control" name="studentCopy.korisnickoIme" [(ngModel)]="studentCopy.korisnickoIme"
              placeholder="Korisnicko Ime">
          </div>
          <div class="form-group">
            <label for="sifra">
              <b>Sifra</b>
            </label>
            <input class="form-control" name="studentCopy.sifra" [(ngModel)]="studentCopy.sifra" type="password"
              placeholder="Sifra">
          </div>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="updateStudentConfirm();c()">Update</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="cancelStudentUpdate();c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>